"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RDSClient_1 = require("./RDSClient");
const AddRoleToDBClusterCommand_1 = require("./commands/AddRoleToDBClusterCommand");
const AddRoleToDBInstanceCommand_1 = require("./commands/AddRoleToDBInstanceCommand");
const AddSourceIdentifierToSubscriptionCommand_1 = require("./commands/AddSourceIdentifierToSubscriptionCommand");
const AddTagsToResourceCommand_1 = require("./commands/AddTagsToResourceCommand");
const ApplyPendingMaintenanceActionCommand_1 = require("./commands/ApplyPendingMaintenanceActionCommand");
const AuthorizeDBSecurityGroupIngressCommand_1 = require("./commands/AuthorizeDBSecurityGroupIngressCommand");
const BacktrackDBClusterCommand_1 = require("./commands/BacktrackDBClusterCommand");
const CopyDBClusterParameterGroupCommand_1 = require("./commands/CopyDBClusterParameterGroupCommand");
const CopyDBClusterSnapshotCommand_1 = require("./commands/CopyDBClusterSnapshotCommand");
const CopyDBParameterGroupCommand_1 = require("./commands/CopyDBParameterGroupCommand");
const CopyDBSnapshotCommand_1 = require("./commands/CopyDBSnapshotCommand");
const CopyOptionGroupCommand_1 = require("./commands/CopyOptionGroupCommand");
const CreateDBClusterCommand_1 = require("./commands/CreateDBClusterCommand");
const CreateDBClusterEndpointCommand_1 = require("./commands/CreateDBClusterEndpointCommand");
const CreateDBClusterParameterGroupCommand_1 = require("./commands/CreateDBClusterParameterGroupCommand");
const CreateDBClusterSnapshotCommand_1 = require("./commands/CreateDBClusterSnapshotCommand");
const CreateDBInstanceCommand_1 = require("./commands/CreateDBInstanceCommand");
const CreateDBInstanceReadReplicaCommand_1 = require("./commands/CreateDBInstanceReadReplicaCommand");
const CreateDBParameterGroupCommand_1 = require("./commands/CreateDBParameterGroupCommand");
const CreateDBSecurityGroupCommand_1 = require("./commands/CreateDBSecurityGroupCommand");
const CreateDBSnapshotCommand_1 = require("./commands/CreateDBSnapshotCommand");
const CreateDBSubnetGroupCommand_1 = require("./commands/CreateDBSubnetGroupCommand");
const CreateEventSubscriptionCommand_1 = require("./commands/CreateEventSubscriptionCommand");
const CreateGlobalClusterCommand_1 = require("./commands/CreateGlobalClusterCommand");
const CreateOptionGroupCommand_1 = require("./commands/CreateOptionGroupCommand");
const DeleteDBClusterCommand_1 = require("./commands/DeleteDBClusterCommand");
const DeleteDBClusterEndpointCommand_1 = require("./commands/DeleteDBClusterEndpointCommand");
const DeleteDBClusterParameterGroupCommand_1 = require("./commands/DeleteDBClusterParameterGroupCommand");
const DeleteDBClusterSnapshotCommand_1 = require("./commands/DeleteDBClusterSnapshotCommand");
const DeleteDBInstanceAutomatedBackupCommand_1 = require("./commands/DeleteDBInstanceAutomatedBackupCommand");
const DeleteDBInstanceCommand_1 = require("./commands/DeleteDBInstanceCommand");
const DeleteDBParameterGroupCommand_1 = require("./commands/DeleteDBParameterGroupCommand");
const DeleteDBSecurityGroupCommand_1 = require("./commands/DeleteDBSecurityGroupCommand");
const DeleteDBSnapshotCommand_1 = require("./commands/DeleteDBSnapshotCommand");
const DeleteDBSubnetGroupCommand_1 = require("./commands/DeleteDBSubnetGroupCommand");
const DeleteEventSubscriptionCommand_1 = require("./commands/DeleteEventSubscriptionCommand");
const DeleteGlobalClusterCommand_1 = require("./commands/DeleteGlobalClusterCommand");
const DeleteOptionGroupCommand_1 = require("./commands/DeleteOptionGroupCommand");
const DescribeAccountAttributesCommand_1 = require("./commands/DescribeAccountAttributesCommand");
const DescribeCertificatesCommand_1 = require("./commands/DescribeCertificatesCommand");
const DescribeDBClusterBacktracksCommand_1 = require("./commands/DescribeDBClusterBacktracksCommand");
const DescribeDBClusterEndpointsCommand_1 = require("./commands/DescribeDBClusterEndpointsCommand");
const DescribeDBClusterParameterGroupsCommand_1 = require("./commands/DescribeDBClusterParameterGroupsCommand");
const DescribeDBClusterParametersCommand_1 = require("./commands/DescribeDBClusterParametersCommand");
const DescribeDBClusterSnapshotAttributesCommand_1 = require("./commands/DescribeDBClusterSnapshotAttributesCommand");
const DescribeDBClusterSnapshotsCommand_1 = require("./commands/DescribeDBClusterSnapshotsCommand");
const DescribeDBClustersCommand_1 = require("./commands/DescribeDBClustersCommand");
const DescribeDBEngineVersionsCommand_1 = require("./commands/DescribeDBEngineVersionsCommand");
const DescribeDBInstanceAutomatedBackupsCommand_1 = require("./commands/DescribeDBInstanceAutomatedBackupsCommand");
const DescribeDBInstancesCommand_1 = require("./commands/DescribeDBInstancesCommand");
const DescribeDBLogFilesCommand_1 = require("./commands/DescribeDBLogFilesCommand");
const DescribeDBParameterGroupsCommand_1 = require("./commands/DescribeDBParameterGroupsCommand");
const DescribeDBParametersCommand_1 = require("./commands/DescribeDBParametersCommand");
const DescribeDBSecurityGroupsCommand_1 = require("./commands/DescribeDBSecurityGroupsCommand");
const DescribeDBSnapshotAttributesCommand_1 = require("./commands/DescribeDBSnapshotAttributesCommand");
const DescribeDBSnapshotsCommand_1 = require("./commands/DescribeDBSnapshotsCommand");
const DescribeDBSubnetGroupsCommand_1 = require("./commands/DescribeDBSubnetGroupsCommand");
const DescribeEngineDefaultClusterParametersCommand_1 = require("./commands/DescribeEngineDefaultClusterParametersCommand");
const DescribeEngineDefaultParametersCommand_1 = require("./commands/DescribeEngineDefaultParametersCommand");
const DescribeEventCategoriesCommand_1 = require("./commands/DescribeEventCategoriesCommand");
const DescribeEventSubscriptionsCommand_1 = require("./commands/DescribeEventSubscriptionsCommand");
const DescribeEventsCommand_1 = require("./commands/DescribeEventsCommand");
const DescribeGlobalClustersCommand_1 = require("./commands/DescribeGlobalClustersCommand");
const DescribeOptionGroupOptionsCommand_1 = require("./commands/DescribeOptionGroupOptionsCommand");
const DescribeOptionGroupsCommand_1 = require("./commands/DescribeOptionGroupsCommand");
const DescribeOrderableDBInstanceOptionsCommand_1 = require("./commands/DescribeOrderableDBInstanceOptionsCommand");
const DescribePendingMaintenanceActionsCommand_1 = require("./commands/DescribePendingMaintenanceActionsCommand");
const DescribeReservedDBInstancesCommand_1 = require("./commands/DescribeReservedDBInstancesCommand");
const DescribeReservedDBInstancesOfferingsCommand_1 = require("./commands/DescribeReservedDBInstancesOfferingsCommand");
const DescribeSourceRegionsCommand_1 = require("./commands/DescribeSourceRegionsCommand");
const DescribeValidDBInstanceModificationsCommand_1 = require("./commands/DescribeValidDBInstanceModificationsCommand");
const DownloadDBLogFilePortionCommand_1 = require("./commands/DownloadDBLogFilePortionCommand");
const FailoverDBClusterCommand_1 = require("./commands/FailoverDBClusterCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const ModifyCurrentDBClusterCapacityCommand_1 = require("./commands/ModifyCurrentDBClusterCapacityCommand");
const ModifyDBClusterCommand_1 = require("./commands/ModifyDBClusterCommand");
const ModifyDBClusterEndpointCommand_1 = require("./commands/ModifyDBClusterEndpointCommand");
const ModifyDBClusterParameterGroupCommand_1 = require("./commands/ModifyDBClusterParameterGroupCommand");
const ModifyDBClusterSnapshotAttributeCommand_1 = require("./commands/ModifyDBClusterSnapshotAttributeCommand");
const ModifyDBInstanceCommand_1 = require("./commands/ModifyDBInstanceCommand");
const ModifyDBParameterGroupCommand_1 = require("./commands/ModifyDBParameterGroupCommand");
const ModifyDBSnapshotAttributeCommand_1 = require("./commands/ModifyDBSnapshotAttributeCommand");
const ModifyDBSnapshotCommand_1 = require("./commands/ModifyDBSnapshotCommand");
const ModifyDBSubnetGroupCommand_1 = require("./commands/ModifyDBSubnetGroupCommand");
const ModifyEventSubscriptionCommand_1 = require("./commands/ModifyEventSubscriptionCommand");
const ModifyGlobalClusterCommand_1 = require("./commands/ModifyGlobalClusterCommand");
const ModifyOptionGroupCommand_1 = require("./commands/ModifyOptionGroupCommand");
const PromoteReadReplicaCommand_1 = require("./commands/PromoteReadReplicaCommand");
const PromoteReadReplicaDBClusterCommand_1 = require("./commands/PromoteReadReplicaDBClusterCommand");
const PurchaseReservedDBInstancesOfferingCommand_1 = require("./commands/PurchaseReservedDBInstancesOfferingCommand");
const RebootDBInstanceCommand_1 = require("./commands/RebootDBInstanceCommand");
const RemoveFromGlobalClusterCommand_1 = require("./commands/RemoveFromGlobalClusterCommand");
const RemoveRoleFromDBClusterCommand_1 = require("./commands/RemoveRoleFromDBClusterCommand");
const RemoveRoleFromDBInstanceCommand_1 = require("./commands/RemoveRoleFromDBInstanceCommand");
const RemoveSourceIdentifierFromSubscriptionCommand_1 = require("./commands/RemoveSourceIdentifierFromSubscriptionCommand");
const RemoveTagsFromResourceCommand_1 = require("./commands/RemoveTagsFromResourceCommand");
const ResetDBClusterParameterGroupCommand_1 = require("./commands/ResetDBClusterParameterGroupCommand");
const ResetDBParameterGroupCommand_1 = require("./commands/ResetDBParameterGroupCommand");
const RestoreDBClusterFromS3Command_1 = require("./commands/RestoreDBClusterFromS3Command");
const RestoreDBClusterFromSnapshotCommand_1 = require("./commands/RestoreDBClusterFromSnapshotCommand");
const RestoreDBClusterToPointInTimeCommand_1 = require("./commands/RestoreDBClusterToPointInTimeCommand");
const RestoreDBInstanceFromDBSnapshotCommand_1 = require("./commands/RestoreDBInstanceFromDBSnapshotCommand");
const RestoreDBInstanceFromS3Command_1 = require("./commands/RestoreDBInstanceFromS3Command");
const RestoreDBInstanceToPointInTimeCommand_1 = require("./commands/RestoreDBInstanceToPointInTimeCommand");
const RevokeDBSecurityGroupIngressCommand_1 = require("./commands/RevokeDBSecurityGroupIngressCommand");
const StartActivityStreamCommand_1 = require("./commands/StartActivityStreamCommand");
const StartDBClusterCommand_1 = require("./commands/StartDBClusterCommand");
const StartDBInstanceCommand_1 = require("./commands/StartDBInstanceCommand");
const StopActivityStreamCommand_1 = require("./commands/StopActivityStreamCommand");
const StopDBClusterCommand_1 = require("./commands/StopDBClusterCommand");
const StopDBInstanceCommand_1 = require("./commands/StopDBInstanceCommand");
class RDS extends RDSClient_1.RDSClient {
    addRoleToDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddRoleToDBClusterCommand_1.AddRoleToDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    addRoleToDBInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddRoleToDBInstanceCommand_1.AddRoleToDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    addSourceIdentifierToSubscription(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddSourceIdentifierToSubscriptionCommand_1.AddSourceIdentifierToSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    addTagsToResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AddTagsToResourceCommand_1.AddTagsToResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    applyPendingMaintenanceAction(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ApplyPendingMaintenanceActionCommand_1.ApplyPendingMaintenanceActionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    authorizeDBSecurityGroupIngress(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new AuthorizeDBSecurityGroupIngressCommand_1.AuthorizeDBSecurityGroupIngressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    backtrackDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new BacktrackDBClusterCommand_1.BacktrackDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    copyDBClusterParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CopyDBClusterParameterGroupCommand_1.CopyDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    copyDBClusterSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CopyDBClusterSnapshotCommand_1.CopyDBClusterSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    copyDBParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CopyDBParameterGroupCommand_1.CopyDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    copyDBSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CopyDBSnapshotCommand_1.CopyDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    copyOptionGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CopyOptionGroupCommand_1.CopyOptionGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBClusterCommand_1.CreateDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBClusterEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBClusterEndpointCommand_1.CreateDBClusterEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBClusterParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBClusterParameterGroupCommand_1.CreateDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBClusterSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBClusterSnapshotCommand_1.CreateDBClusterSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBInstanceCommand_1.CreateDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBInstanceReadReplica(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBInstanceReadReplicaCommand_1.CreateDBInstanceReadReplicaCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBParameterGroupCommand_1.CreateDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBSecurityGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBSecurityGroupCommand_1.CreateDBSecurityGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBSnapshotCommand_1.CreateDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDBSubnetGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDBSubnetGroupCommand_1.CreateDBSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createEventSubscription(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateEventSubscriptionCommand_1.CreateEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createGlobalCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateGlobalClusterCommand_1.CreateGlobalClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createOptionGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateOptionGroupCommand_1.CreateOptionGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBClusterCommand_1.DeleteDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBClusterEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBClusterEndpointCommand_1.DeleteDBClusterEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBClusterParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBClusterParameterGroupCommand_1.DeleteDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBClusterSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBClusterSnapshotCommand_1.DeleteDBClusterSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBInstanceCommand_1.DeleteDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBInstanceAutomatedBackup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBInstanceAutomatedBackupCommand_1.DeleteDBInstanceAutomatedBackupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBParameterGroupCommand_1.DeleteDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBSecurityGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBSecurityGroupCommand_1.DeleteDBSecurityGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBSnapshotCommand_1.DeleteDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDBSubnetGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDBSubnetGroupCommand_1.DeleteDBSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteEventSubscription(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteEventSubscriptionCommand_1.DeleteEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteGlobalCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteGlobalClusterCommand_1.DeleteGlobalClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteOptionGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteOptionGroupCommand_1.DeleteOptionGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeAccountAttributes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeAccountAttributesCommand_1.DescribeAccountAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeCertificates(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeCertificatesCommand_1.DescribeCertificatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBClusterBacktracks(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBClusterBacktracksCommand_1.DescribeDBClusterBacktracksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBClusterEndpoints(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBClusterEndpointsCommand_1.DescribeDBClusterEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBClusterParameterGroups(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBClusterParameterGroupsCommand_1.DescribeDBClusterParameterGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBClusterParameters(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBClusterParametersCommand_1.DescribeDBClusterParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBClusterSnapshotAttributes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBClusterSnapshotAttributesCommand_1.DescribeDBClusterSnapshotAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBClusterSnapshots(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBClusterSnapshotsCommand_1.DescribeDBClusterSnapshotsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBClusters(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBClustersCommand_1.DescribeDBClustersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBEngineVersions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBEngineVersionsCommand_1.DescribeDBEngineVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBInstanceAutomatedBackups(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBInstanceAutomatedBackupsCommand_1.DescribeDBInstanceAutomatedBackupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBInstances(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBInstancesCommand_1.DescribeDBInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBLogFiles(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBLogFilesCommand_1.DescribeDBLogFilesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBParameterGroups(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBParameterGroupsCommand_1.DescribeDBParameterGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBParameters(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBParametersCommand_1.DescribeDBParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBSecurityGroups(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBSecurityGroupsCommand_1.DescribeDBSecurityGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBSnapshotAttributes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBSnapshotAttributesCommand_1.DescribeDBSnapshotAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBSnapshots(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBSnapshotsCommand_1.DescribeDBSnapshotsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeDBSubnetGroups(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeDBSubnetGroupsCommand_1.DescribeDBSubnetGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeEngineDefaultClusterParameters(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeEngineDefaultClusterParametersCommand_1.DescribeEngineDefaultClusterParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeEngineDefaultParameters(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeEngineDefaultParametersCommand_1.DescribeEngineDefaultParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeEventCategories(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeEventCategoriesCommand_1.DescribeEventCategoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeEventSubscriptions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeEventSubscriptionsCommand_1.DescribeEventSubscriptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeEvents(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeEventsCommand_1.DescribeEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeGlobalClusters(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeGlobalClustersCommand_1.DescribeGlobalClustersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeOptionGroupOptions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeOptionGroupOptionsCommand_1.DescribeOptionGroupOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeOptionGroups(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeOptionGroupsCommand_1.DescribeOptionGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeOrderableDBInstanceOptions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeOrderableDBInstanceOptionsCommand_1.DescribeOrderableDBInstanceOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describePendingMaintenanceActions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribePendingMaintenanceActionsCommand_1.DescribePendingMaintenanceActionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeReservedDBInstances(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeReservedDBInstancesCommand_1.DescribeReservedDBInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeReservedDBInstancesOfferings(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeReservedDBInstancesOfferingsCommand_1.DescribeReservedDBInstancesOfferingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeSourceRegions(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeSourceRegionsCommand_1.DescribeSourceRegionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    describeValidDBInstanceModifications(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DescribeValidDBInstanceModificationsCommand_1.DescribeValidDBInstanceModificationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    downloadDBLogFilePortion(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DownloadDBLogFilePortionCommand_1.DownloadDBLogFilePortionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    failoverDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new FailoverDBClusterCommand_1.FailoverDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    listTagsForResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyCurrentDBClusterCapacity(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyCurrentDBClusterCapacityCommand_1.ModifyCurrentDBClusterCapacityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBClusterCommand_1.ModifyDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBClusterEndpoint(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBClusterEndpointCommand_1.ModifyDBClusterEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBClusterParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBClusterParameterGroupCommand_1.ModifyDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBClusterSnapshotAttribute(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBClusterSnapshotAttributeCommand_1.ModifyDBClusterSnapshotAttributeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBInstanceCommand_1.ModifyDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBParameterGroupCommand_1.ModifyDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBSnapshotCommand_1.ModifyDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBSnapshotAttribute(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBSnapshotAttributeCommand_1.ModifyDBSnapshotAttributeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyDBSubnetGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyDBSubnetGroupCommand_1.ModifyDBSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyEventSubscription(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyEventSubscriptionCommand_1.ModifyEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyGlobalCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyGlobalClusterCommand_1.ModifyGlobalClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    modifyOptionGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ModifyOptionGroupCommand_1.ModifyOptionGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    promoteReadReplica(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PromoteReadReplicaCommand_1.PromoteReadReplicaCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    promoteReadReplicaDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PromoteReadReplicaDBClusterCommand_1.PromoteReadReplicaDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    purchaseReservedDBInstancesOffering(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new PurchaseReservedDBInstancesOfferingCommand_1.PurchaseReservedDBInstancesOfferingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    rebootDBInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RebootDBInstanceCommand_1.RebootDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removeFromGlobalCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemoveFromGlobalClusterCommand_1.RemoveFromGlobalClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removeRoleFromDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemoveRoleFromDBClusterCommand_1.RemoveRoleFromDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removeRoleFromDBInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemoveRoleFromDBInstanceCommand_1.RemoveRoleFromDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removeSourceIdentifierFromSubscription(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemoveSourceIdentifierFromSubscriptionCommand_1.RemoveSourceIdentifierFromSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    removeTagsFromResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RemoveTagsFromResourceCommand_1.RemoveTagsFromResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    resetDBClusterParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ResetDBClusterParameterGroupCommand_1.ResetDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    resetDBParameterGroup(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new ResetDBParameterGroupCommand_1.ResetDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    restoreDBClusterFromS3(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RestoreDBClusterFromS3Command_1.RestoreDBClusterFromS3Command(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    restoreDBClusterFromSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RestoreDBClusterFromSnapshotCommand_1.RestoreDBClusterFromSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    restoreDBClusterToPointInTime(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RestoreDBClusterToPointInTimeCommand_1.RestoreDBClusterToPointInTimeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    restoreDBInstanceFromDBSnapshot(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RestoreDBInstanceFromDBSnapshotCommand_1.RestoreDBInstanceFromDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    restoreDBInstanceFromS3(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RestoreDBInstanceFromS3Command_1.RestoreDBInstanceFromS3Command(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    restoreDBInstanceToPointInTime(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RestoreDBInstanceToPointInTimeCommand_1.RestoreDBInstanceToPointInTimeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    revokeDBSecurityGroupIngress(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new RevokeDBSecurityGroupIngressCommand_1.RevokeDBSecurityGroupIngressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    startActivityStream(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StartActivityStreamCommand_1.StartActivityStreamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    startDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StartDBClusterCommand_1.StartDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    startDBInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StartDBInstanceCommand_1.StartDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopActivityStream(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopActivityStreamCommand_1.StopActivityStreamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopDBCluster(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopDBClusterCommand_1.StopDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    stopDBInstance(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new StopDBInstanceCommand_1.StopDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.RDS = RDS;
//# sourceMappingURL=RDS.js.map