"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CopyDBClusterParameterGroup_1 = require("../model/operations/CopyDBClusterParameterGroup");
class CopyDBClusterParameterGroupCommand {
    constructor(input) {
        this.input = input;
        this.model = CopyDBClusterParameterGroup_1.CopyDBClusterParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CopyDBClusterParameterGroupCommand = CopyDBClusterParameterGroupCommand;
//# sourceMappingURL=CopyDBClusterParameterGroupCommand.js.map