"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateDBClusterEndpoint_1 = require("../model/operations/CreateDBClusterEndpoint");
class CreateDBClusterEndpointCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateDBClusterEndpoint_1.CreateDBClusterEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateDBClusterEndpointCommand = CreateDBClusterEndpointCommand;
//# sourceMappingURL=CreateDBClusterEndpointCommand.js.map