"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateDBInstance_1 = require("../model/operations/CreateDBInstance");
class CreateDBInstanceCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateDBInstance_1.CreateDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateDBInstanceCommand = CreateDBInstanceCommand;
//# sourceMappingURL=CreateDBInstanceCommand.js.map