"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateGlobalCluster_1 = require("../model/operations/CreateGlobalCluster");
class CreateGlobalClusterCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateGlobalCluster_1.CreateGlobalCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateGlobalClusterCommand = CreateGlobalClusterCommand;
//# sourceMappingURL=CreateGlobalClusterCommand.js.map