"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateOptionGroup_1 = require("../model/operations/CreateOptionGroup");
class CreateOptionGroupCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateOptionGroup_1.CreateOptionGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateOptionGroupCommand = CreateOptionGroupCommand;
//# sourceMappingURL=CreateOptionGroupCommand.js.map