"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteDBCluster_1 = require("../model/operations/DeleteDBCluster");
class DeleteDBClusterCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteDBCluster_1.DeleteDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteDBClusterCommand = DeleteDBClusterCommand;
//# sourceMappingURL=DeleteDBClusterCommand.js.map