"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteDBInstanceAutomatedBackup_1 = require("../model/operations/DeleteDBInstanceAutomatedBackup");
class DeleteDBInstanceAutomatedBackupCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteDBInstanceAutomatedBackup_1.DeleteDBInstanceAutomatedBackup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteDBInstanceAutomatedBackupCommand = DeleteDBInstanceAutomatedBackupCommand;
//# sourceMappingURL=DeleteDBInstanceAutomatedBackupCommand.js.map