"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeCertificates_1 = require("../model/operations/DescribeCertificates");
class DescribeCertificatesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeCertificates_1.DescribeCertificates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeCertificatesCommand = DescribeCertificatesCommand;
//# sourceMappingURL=DescribeCertificatesCommand.js.map