"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBClusterEndpoints_1 = require("../model/operations/DescribeDBClusterEndpoints");
class DescribeDBClusterEndpointsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBClusterEndpoints_1.DescribeDBClusterEndpoints;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBClusterEndpointsCommand = DescribeDBClusterEndpointsCommand;
//# sourceMappingURL=DescribeDBClusterEndpointsCommand.js.map