"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBClusterParameterGroups_1 = require("../model/operations/DescribeDBClusterParameterGroups");
class DescribeDBClusterParameterGroupsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBClusterParameterGroups_1.DescribeDBClusterParameterGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBClusterParameterGroupsCommand = DescribeDBClusterParameterGroupsCommand;
//# sourceMappingURL=DescribeDBClusterParameterGroupsCommand.js.map