"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBClusterParameters_1 = require("../model/operations/DescribeDBClusterParameters");
class DescribeDBClusterParametersCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBClusterParameters_1.DescribeDBClusterParameters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBClusterParametersCommand = DescribeDBClusterParametersCommand;
//# sourceMappingURL=DescribeDBClusterParametersCommand.js.map