"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBClusterSnapshotAttributes_1 = require("../model/operations/DescribeDBClusterSnapshotAttributes");
class DescribeDBClusterSnapshotAttributesCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBClusterSnapshotAttributes_1.DescribeDBClusterSnapshotAttributes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBClusterSnapshotAttributesCommand = DescribeDBClusterSnapshotAttributesCommand;
//# sourceMappingURL=DescribeDBClusterSnapshotAttributesCommand.js.map