"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBParameterGroups_1 = require("../model/operations/DescribeDBParameterGroups");
class DescribeDBParameterGroupsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBParameterGroups_1.DescribeDBParameterGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBParameterGroupsCommand = DescribeDBParameterGroupsCommand;
//# sourceMappingURL=DescribeDBParameterGroupsCommand.js.map