"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeDBSubnetGroups_1 = require("../model/operations/DescribeDBSubnetGroups");
class DescribeDBSubnetGroupsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeDBSubnetGroups_1.DescribeDBSubnetGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeDBSubnetGroupsCommand = DescribeDBSubnetGroupsCommand;
//# sourceMappingURL=DescribeDBSubnetGroupsCommand.js.map