"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeEventSubscriptions_1 = require("../model/operations/DescribeEventSubscriptions");
class DescribeEventSubscriptionsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeEventSubscriptions_1.DescribeEventSubscriptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeEventSubscriptionsCommand = DescribeEventSubscriptionsCommand;
//# sourceMappingURL=DescribeEventSubscriptionsCommand.js.map