"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeGlobalClusters_1 = require("../model/operations/DescribeGlobalClusters");
class DescribeGlobalClustersCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeGlobalClusters_1.DescribeGlobalClusters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeGlobalClustersCommand = DescribeGlobalClustersCommand;
//# sourceMappingURL=DescribeGlobalClustersCommand.js.map