"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribePendingMaintenanceActions_1 = require("../model/operations/DescribePendingMaintenanceActions");
class DescribePendingMaintenanceActionsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribePendingMaintenanceActions_1.DescribePendingMaintenanceActions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribePendingMaintenanceActionsCommand = DescribePendingMaintenanceActionsCommand;
//# sourceMappingURL=DescribePendingMaintenanceActionsCommand.js.map