"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DescribeSourceRegions_1 = require("../model/operations/DescribeSourceRegions");
class DescribeSourceRegionsCommand {
    constructor(input) {
        this.input = input;
        this.model = DescribeSourceRegions_1.DescribeSourceRegions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DescribeSourceRegionsCommand = DescribeSourceRegionsCommand;
//# sourceMappingURL=DescribeSourceRegionsCommand.js.map