"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ModifyEventSubscription_1 = require("../model/operations/ModifyEventSubscription");
class ModifyEventSubscriptionCommand {
    constructor(input) {
        this.input = input;
        this.model = ModifyEventSubscription_1.ModifyEventSubscription;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ModifyEventSubscriptionCommand = ModifyEventSubscriptionCommand;
//# sourceMappingURL=ModifyEventSubscriptionCommand.js.map