"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RemoveRoleFromDBCluster_1 = require("../model/operations/RemoveRoleFromDBCluster");
class RemoveRoleFromDBClusterCommand {
    constructor(input) {
        this.input = input;
        this.model = RemoveRoleFromDBCluster_1.RemoveRoleFromDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RemoveRoleFromDBClusterCommand = RemoveRoleFromDBClusterCommand;
//# sourceMappingURL=RemoveRoleFromDBClusterCommand.js.map