"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RestoreDBClusterFromS3_1 = require("../model/operations/RestoreDBClusterFromS3");
class RestoreDBClusterFromS3Command {
    constructor(input) {
        this.input = input;
        this.model = RestoreDBClusterFromS3_1.RestoreDBClusterFromS3;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RestoreDBClusterFromS3Command = RestoreDBClusterFromS3Command;
//# sourceMappingURL=RestoreDBClusterFromS3Command.js.map