"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RestoreDBClusterFromSnapshot_1 = require("../model/operations/RestoreDBClusterFromSnapshot");
class RestoreDBClusterFromSnapshotCommand {
    constructor(input) {
        this.input = input;
        this.model = RestoreDBClusterFromSnapshot_1.RestoreDBClusterFromSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RestoreDBClusterFromSnapshotCommand = RestoreDBClusterFromSnapshotCommand;
//# sourceMappingURL=RestoreDBClusterFromSnapshotCommand.js.map