"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const RestoreDBInstanceToPointInTime_1 = require("../model/operations/RestoreDBInstanceToPointInTime");
class RestoreDBInstanceToPointInTimeCommand {
    constructor(input) {
        this.input = input;
        this.model = RestoreDBInstanceToPointInTime_1.RestoreDBInstanceToPointInTime;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.RestoreDBInstanceToPointInTimeCommand = RestoreDBInstanceToPointInTimeCommand;
//# sourceMappingURL=RestoreDBInstanceToPointInTimeCommand.js.map