"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AddRoleToDBClusterInput_1 = require("../shapes/AddRoleToDBClusterInput");
const AddRoleToDBClusterOutput_1 = require("../shapes/AddRoleToDBClusterOutput");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const DBClusterRoleAlreadyExistsFault_1 = require("../shapes/DBClusterRoleAlreadyExistsFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const DBClusterRoleQuotaExceededFault_1 = require("../shapes/DBClusterRoleQuotaExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddRoleToDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddRoleToDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddRoleToDBClusterInput_1.AddRoleToDBClusterInput
    },
    output: {
        shape: AddRoleToDBClusterOutput_1.AddRoleToDBClusterOutput
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBClusterRoleAlreadyExistsFault_1.DBClusterRoleAlreadyExistsFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: DBClusterRoleQuotaExceededFault_1.DBClusterRoleQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=AddRoleToDBCluster.js.map