"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AddRoleToDBInstanceInput_1 = require("../shapes/AddRoleToDBInstanceInput");
const AddRoleToDBInstanceOutput_1 = require("../shapes/AddRoleToDBInstanceOutput");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const DBInstanceRoleAlreadyExistsFault_1 = require("../shapes/DBInstanceRoleAlreadyExistsFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const DBInstanceRoleQuotaExceededFault_1 = require("../shapes/DBInstanceRoleQuotaExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.AddRoleToDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AddRoleToDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: AddRoleToDBInstanceInput_1.AddRoleToDBInstanceInput
    },
    output: {
        shape: AddRoleToDBInstanceOutput_1.AddRoleToDBInstanceOutput
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBInstanceRoleAlreadyExistsFault_1.DBInstanceRoleAlreadyExistsFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBInstanceRoleQuotaExceededFault_1.DBInstanceRoleQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=AddRoleToDBInstance.js.map