"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDBSecurityGroupInput_1 = require("../shapes/CreateDBSecurityGroupInput");
const CreateDBSecurityGroupOutput_1 = require("../shapes/CreateDBSecurityGroupOutput");
const DBSecurityGroupAlreadyExistsFault_1 = require("../shapes/DBSecurityGroupAlreadyExistsFault");
const DBSecurityGroupQuotaExceededFault_1 = require("../shapes/DBSecurityGroupQuotaExceededFault");
const DBSecurityGroupNotSupportedFault_1 = require("../shapes/DBSecurityGroupNotSupportedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBSecurityGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBSecurityGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBSecurityGroupInput_1.CreateDBSecurityGroupInput
    },
    output: {
        shape: CreateDBSecurityGroupOutput_1.CreateDBSecurityGroupOutput,
        resultWrapper: "CreateDBSecurityGroupResult"
    },
    errors: [
        {
            shape: DBSecurityGroupAlreadyExistsFault_1.DBSecurityGroupAlreadyExistsFault
        },
        {
            shape: DBSecurityGroupQuotaExceededFault_1.DBSecurityGroupQuotaExceededFault
        },
        {
            shape: DBSecurityGroupNotSupportedFault_1.DBSecurityGroupNotSupportedFault
        }
    ]
};
//# sourceMappingURL=CreateDBSecurityGroup.js.map