"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteEventSubscriptionInput_1 = require("../shapes/DeleteEventSubscriptionInput");
const DeleteEventSubscriptionOutput_1 = require("../shapes/DeleteEventSubscriptionOutput");
const SubscriptionNotFoundFault_1 = require("../shapes/SubscriptionNotFoundFault");
const InvalidEventSubscriptionStateFault_1 = require("../shapes/InvalidEventSubscriptionStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEventSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEventSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteEventSubscriptionInput_1.DeleteEventSubscriptionInput
    },
    output: {
        shape: DeleteEventSubscriptionOutput_1.DeleteEventSubscriptionOutput,
        resultWrapper: "DeleteEventSubscriptionResult"
    },
    errors: [
        {
            shape: SubscriptionNotFoundFault_1.SubscriptionNotFoundFault
        },
        {
            shape: InvalidEventSubscriptionStateFault_1.InvalidEventSubscriptionStateFault
        }
    ]
};
//# sourceMappingURL=DeleteEventSubscription.js.map