"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyDBClusterInput_1 = require("../shapes/ModifyDBClusterInput");
const ModifyDBClusterOutput_1 = require("../shapes/ModifyDBClusterOutput");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const InvalidDBSubnetGroupStateFault_1 = require("../shapes/InvalidDBSubnetGroupStateFault");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
const InvalidDBSecurityGroupStateFault_1 = require("../shapes/InvalidDBSecurityGroupStateFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBClusterInput_1.ModifyDBClusterInput
    },
    output: {
        shape: ModifyDBClusterOutput_1.ModifyDBClusterOutput,
        resultWrapper: "ModifyDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidDBSubnetGroupStateFault_1.InvalidDBSubnetGroupStateFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        },
        {
            shape: InvalidDBSecurityGroupStateFault_1.InvalidDBSecurityGroupStateFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        }
    ]
};
//# sourceMappingURL=ModifyDBCluster.js.map