"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyDBSnapshotAttributeInput_1 = require("../shapes/ModifyDBSnapshotAttributeInput");
const ModifyDBSnapshotAttributeOutput_1 = require("../shapes/ModifyDBSnapshotAttributeOutput");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
const SharedSnapshotQuotaExceededFault_1 = require("../shapes/SharedSnapshotQuotaExceededFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBSnapshotAttribute = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBSnapshotAttribute",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBSnapshotAttributeInput_1.ModifyDBSnapshotAttributeInput
    },
    output: {
        shape: ModifyDBSnapshotAttributeOutput_1.ModifyDBSnapshotAttributeOutput,
        resultWrapper: "ModifyDBSnapshotAttributeResult"
    },
    errors: [
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: SharedSnapshotQuotaExceededFault_1.SharedSnapshotQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=ModifyDBSnapshotAttribute.js.map