"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyEventSubscriptionInput_1 = require("../shapes/ModifyEventSubscriptionInput");
const ModifyEventSubscriptionOutput_1 = require("../shapes/ModifyEventSubscriptionOutput");
const EventSubscriptionQuotaExceededFault_1 = require("../shapes/EventSubscriptionQuotaExceededFault");
const SubscriptionNotFoundFault_1 = require("../shapes/SubscriptionNotFoundFault");
const SNSInvalidTopicFault_1 = require("../shapes/SNSInvalidTopicFault");
const SNSNoAuthorizationFault_1 = require("../shapes/SNSNoAuthorizationFault");
const SNSTopicArnNotFoundFault_1 = require("../shapes/SNSTopicArnNotFoundFault");
const SubscriptionCategoryNotFoundFault_1 = require("../shapes/SubscriptionCategoryNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyEventSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyEventSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyEventSubscriptionInput_1.ModifyEventSubscriptionInput
    },
    output: {
        shape: ModifyEventSubscriptionOutput_1.ModifyEventSubscriptionOutput,
        resultWrapper: "ModifyEventSubscriptionResult"
    },
    errors: [
        {
            shape: EventSubscriptionQuotaExceededFault_1.EventSubscriptionQuotaExceededFault
        },
        {
            shape: SubscriptionNotFoundFault_1.SubscriptionNotFoundFault
        },
        {
            shape: SNSInvalidTopicFault_1.SNSInvalidTopicFault
        },
        {
            shape: SNSNoAuthorizationFault_1.SNSNoAuthorizationFault
        },
        {
            shape: SNSTopicArnNotFoundFault_1.SNSTopicArnNotFoundFault
        },
        {
            shape: SubscriptionCategoryNotFoundFault_1.SubscriptionCategoryNotFoundFault
        }
    ]
};
//# sourceMappingURL=ModifyEventSubscription.js.map