"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PromoteReadReplicaInput_1 = require("../shapes/PromoteReadReplicaInput");
const PromoteReadReplicaOutput_1 = require("../shapes/PromoteReadReplicaOutput");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PromoteReadReplica = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PromoteReadReplica",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PromoteReadReplicaInput_1.PromoteReadReplicaInput
    },
    output: {
        shape: PromoteReadReplicaOutput_1.PromoteReadReplicaOutput,
        resultWrapper: "PromoteReadReplicaResult"
    },
    errors: [
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        }
    ]
};
//# sourceMappingURL=PromoteReadReplica.js.map