"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RebootDBInstanceInput_1 = require("../shapes/RebootDBInstanceInput");
const RebootDBInstanceOutput_1 = require("../shapes/RebootDBInstanceOutput");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RebootDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RebootDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RebootDBInstanceInput_1.RebootDBInstanceInput
    },
    output: {
        shape: RebootDBInstanceOutput_1.RebootDBInstanceOutput,
        resultWrapper: "RebootDBInstanceResult"
    },
    errors: [
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        }
    ]
};
//# sourceMappingURL=RebootDBInstance.js.map