"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RestoreDBClusterFromSnapshotInput_1 = require("../shapes/RestoreDBClusterFromSnapshotInput");
const RestoreDBClusterFromSnapshotOutput_1 = require("../shapes/RestoreDBClusterFromSnapshotOutput");
const DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
const DBClusterQuotaExceededFault_1 = require("../shapes/DBClusterQuotaExceededFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
const InsufficientDBClusterCapacityFault_1 = require("../shapes/InsufficientDBClusterCapacityFault");
const InsufficientStorageClusterCapacityFault_1 = require("../shapes/InsufficientStorageClusterCapacityFault");
const InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
const InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const InvalidRestoreFault_1 = require("../shapes/InvalidRestoreFault");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBClusterFromSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBClusterFromSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBClusterFromSnapshotInput_1.RestoreDBClusterFromSnapshotInput
    },
    output: {
        shape: RestoreDBClusterFromSnapshotOutput_1.RestoreDBClusterFromSnapshotOutput,
        resultWrapper: "RestoreDBClusterFromSnapshotResult"
    },
    errors: [
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        },
        {
            shape: DBClusterQuotaExceededFault_1.DBClusterQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        },
        {
            shape: InsufficientDBClusterCapacityFault_1.InsufficientDBClusterCapacityFault
        },
        {
            shape: InsufficientStorageClusterCapacityFault_1.InsufficientStorageClusterCapacityFault
        },
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidRestoreFault_1.InvalidRestoreFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBClusterFromSnapshot.js.map