"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RestoreDBClusterToPointInTimeInput_1 = require("../shapes/RestoreDBClusterToPointInTimeInput");
const RestoreDBClusterToPointInTimeOutput_1 = require("../shapes/RestoreDBClusterToPointInTimeOutput");
const DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const DBClusterQuotaExceededFault_1 = require("../shapes/DBClusterQuotaExceededFault");
const DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const InsufficientDBClusterCapacityFault_1 = require("../shapes/InsufficientDBClusterCapacityFault");
const InsufficientStorageClusterCapacityFault_1 = require("../shapes/InsufficientStorageClusterCapacityFault");
const InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
const InvalidRestoreFault_1 = require("../shapes/InvalidRestoreFault");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBClusterToPointInTime = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBClusterToPointInTime",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBClusterToPointInTimeInput_1.RestoreDBClusterToPointInTimeInput
    },
    output: {
        shape: RestoreDBClusterToPointInTimeOutput_1.RestoreDBClusterToPointInTimeOutput,
        resultWrapper: "RestoreDBClusterToPointInTimeResult"
    },
    errors: [
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBClusterQuotaExceededFault_1.DBClusterQuotaExceededFault
        },
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InsufficientDBClusterCapacityFault_1.InsufficientDBClusterCapacityFault
        },
        {
            shape: InsufficientStorageClusterCapacityFault_1.InsufficientStorageClusterCapacityFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: InvalidRestoreFault_1.InvalidRestoreFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBClusterToPointInTime.js.map