"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RestoreDBInstanceFromS3Input_1 = require("../shapes/RestoreDBInstanceFromS3Input");
const RestoreDBInstanceFromS3Output_1 = require("../shapes/RestoreDBInstanceFromS3Output");
const DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
const InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
const DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
const DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
const InstanceQuotaExceededFault_1 = require("../shapes/InstanceQuotaExceededFault");
const StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const InvalidS3BucketFault_1 = require("../shapes/InvalidS3BucketFault");
const ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
const AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const BackupPolicyNotFoundFault_1 = require("../shapes/BackupPolicyNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBInstanceFromS3 = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBInstanceFromS3",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBInstanceFromS3Input_1.RestoreDBInstanceFromS3Input
    },
    output: {
        shape: RestoreDBInstanceFromS3Output_1.RestoreDBInstanceFromS3Output,
        resultWrapper: "RestoreDBInstanceFromS3Result"
    },
    errors: [
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: InstanceQuotaExceededFault_1.InstanceQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidS3BucketFault_1.InvalidS3BucketFault
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: BackupPolicyNotFoundFault_1.BackupPolicyNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBInstanceFromS3.js.map