"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RevokeDBSecurityGroupIngressInput_1 = require("../shapes/RevokeDBSecurityGroupIngressInput");
const RevokeDBSecurityGroupIngressOutput_1 = require("../shapes/RevokeDBSecurityGroupIngressOutput");
const DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
const AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
const InvalidDBSecurityGroupStateFault_1 = require("../shapes/InvalidDBSecurityGroupStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RevokeDBSecurityGroupIngress = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RevokeDBSecurityGroupIngress",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RevokeDBSecurityGroupIngressInput_1.RevokeDBSecurityGroupIngressInput
    },
    output: {
        shape: RevokeDBSecurityGroupIngressOutput_1.RevokeDBSecurityGroupIngressOutput,
        resultWrapper: "RevokeDBSecurityGroupIngressResult"
    },
    errors: [
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: InvalidDBSecurityGroupStateFault_1.InvalidDBSecurityGroupStateFault
        }
    ]
};
//# sourceMappingURL=RevokeDBSecurityGroupIngress.js.map