"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StartDBInstanceInput_1 = require("../shapes/StartDBInstanceInput");
const StartDBInstanceOutput_1 = require("../shapes/StartDBInstanceOutput");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
const DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
const DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const InvalidSubnet_1 = require("../shapes/InvalidSubnet");
const InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
const KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartDBInstanceInput_1.StartDBInstanceInput
    },
    output: {
        shape: StartDBInstanceOutput_1.StartDBInstanceOutput,
        resultWrapper: "StartDBInstanceResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        }
    ]
};
//# sourceMappingURL=StartDBInstance.js.map