"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StopDBClusterInput_1 = require("../shapes/StopDBClusterInput");
const StopDBClusterOutput_1 = require("../shapes/StopDBClusterOutput");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopDBClusterInput_1.StopDBClusterInput
    },
    output: {
        shape: StopDBClusterOutput_1.StopDBClusterOutput,
        resultWrapper: "StopDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=StopDBCluster.js.map