"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
const _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
const _LogTypeList_1 = require("./_LogTypeList");
const _ProcessorFeatureList_1 = require("./_ProcessorFeatureList");
exports.CreateDBInstanceReadReplicaInput = {
    type: "structure",
    required: ["DBInstanceIdentifier", "SourceDBInstanceIdentifier"],
    members: {
        DBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        SourceDBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        DBInstanceClass: {
            shape: {
                type: "string"
            }
        },
        AvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        MultiAZ: {
            shape: {
                type: "boolean"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        Iops: {
            shape: {
                type: "integer"
            }
        },
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        PubliclyAccessible: {
            shape: {
                type: "boolean"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        DBSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        StorageType: {
            shape: {
                type: "string"
            }
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        },
        MonitoringInterval: {
            shape: {
                type: "integer"
            }
        },
        MonitoringRoleArn: {
            shape: {
                type: "string"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        PreSignedUrl: {
            shape: {
                type: "string"
            }
        },
        EnableIAMDatabaseAuthentication: {
            shape: {
                type: "boolean"
            }
        },
        EnablePerformanceInsights: {
            shape: {
                type: "boolean"
            }
        },
        PerformanceInsightsKMSKeyId: {
            shape: {
                type: "string"
            }
        },
        PerformanceInsightsRetentionPeriod: {
            shape: {
                type: "integer"
            }
        },
        EnableCloudwatchLogsExports: {
            shape: _LogTypeList_1._LogTypeList
        },
        ProcessorFeatures: {
            shape: _ProcessorFeatureList_1._ProcessorFeatureList
        },
        UseDefaultProcessorFeatures: {
            shape: {
                type: "boolean"
            }
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateDBInstanceReadReplicaInput.js.map