/**
 * <p>A filter name and value pair that is used to return a more specific list of results from a describe operation. Filters can be used to match a set of resources by specific criteria, such as IDs. The filters supported by a describe operation are documented with the describe operation.</p> <note> <p>Currently, wildcards are not supported in filters.</p> </note> <p>The following actions can be filtered:</p> <ul> <li> <p> <code>DescribeDBClusterBacktracks</code> </p> </li> <li> <p> <code>DescribeDBClusterEndpoints</code> </p> </li> <li> <p> <code>DescribeDBClusters</code> </p> </li> <li> <p> <code>DescribeDBInstances</code> </p> </li> <li> <p> <code>DescribePendingMaintenanceActions</code> </p> </li> </ul>
 */
export interface _Filter {
    /**
     * <p>The name of the filter. Filter names are case-sensitive.</p>
     */
    Name: string;
    /**
     * <p>One or more filter values. Filter values are case-sensitive.</p>
     */
    Values: Array<string> | Iterable<string>;
}
export interface _UnmarshalledFilter extends _Filter {
    /**
     * <p>One or more filter values. Filter values are case-sensitive.</p>
     */
    Values: Array<string>;
}
