/**
 * <p> This data type is used as a request parameter in the <code>ModifyDBParameterGroup</code> and <code>ResetDBParameterGroup</code> actions. </p> <p>This data type is used as a response element in the <code>DescribeEngineDefaultParameters</code> and <code>DescribeDBParameters</code> actions.</p>
 */
export interface _Parameter {
    /**
     * <p>Specifies the name of the parameter.</p>
     */
    ParameterName?: string;
    /**
     * <p>Specifies the value of the parameter.</p>
     */
    ParameterValue?: string;
    /**
     * <p>Provides a description of the parameter.</p>
     */
    Description?: string;
    /**
     * <p>Indicates the source of the parameter value.</p>
     */
    Source?: string;
    /**
     * <p>Specifies the engine specific parameters type.</p>
     */
    ApplyType?: string;
    /**
     * <p>Specifies the valid data type for the parameter.</p>
     */
    DataType?: string;
    /**
     * <p>Specifies the valid range of values for the parameter.</p>
     */
    AllowedValues?: string;
    /**
     * <p> Indicates whether (<code>true</code>) or not (<code>false</code>) the parameter can be modified. Some parameters have security or operational implications that prevent them from being changed. </p>
     */
    IsModifiable?: boolean;
    /**
     * <p>The earliest engine version to which the parameter can apply.</p>
     */
    MinimumEngineVersion?: string;
    /**
     * <p>Indicates when to apply parameter updates.</p>
     */
    ApplyMethod?: "immediate" | "pending-reboot" | string;
    /**
     * <p>The valid DB engine modes.</p>
     */
    SupportedEngineModes?: Array<string> | Iterable<string>;
}
export interface _UnmarshalledParameter extends _Parameter {
    /**
     * <p>The valid DB engine modes.</p>
     */
    SupportedEngineModes?: Array<string>;
}
